Driver Nvidia fa le bizze

9 risposte [Ultimo messaggio]
Ritratto di dax
dax
(Geek)
Offline
Geek
Iscritto: 21/11/2004
Messaggi: 170

Buongiorno a tutti, ho un problemino con i driver Nvidia.

Ho una scheda Asus GTX560 che in passato non aveva mai dato problemi con opensuse. Il PC è un Core i5 di seconda generazione con 8 GB di RAM

Per installare i driver ho abilitato il repo nvidia e ho detto a yast di aggiornare i pacchetti. In passato il procedimento era sempre andato a buon fine.
Questa volta invece durante l'installazione dei nuovi pacchetti compare un messaggio di WARNING e il PC da quel momento diventa instabile (quando lancio certe applicazioni (es. Firefox) il sistema torna al login.
Ecco il messaggio di errore:

Core i5-2500 @ 3.30 GHz 8GB RAM - AMD RX560
OpenSUSE Tumbleweed
www.arzigogolato.it

Ritratto di wal7er
wal7er
(Guru)
Offline
Guru
Iscritto: 21/09/2007
Messaggi: 572

Ho avuto anche io qualche problema nell'ultimo aggiornamento ed ho risolto installando (momentaneamente) la versione opensource (nouveau), disinstallando completamente quelli "originali" ed a questo punto reinstallando l'ultima versione (la 310 mi pare).

HP Pavilion dv5-1110el powered by OpenSUSE 13.2 64bit

http://linuxcounter.net/cert/432576.png

Ritratto di markdm
markdm
(Geek)
Offline
Geek
Iscritto: 10/02/2006
Messaggi: 102

Confermo i problemi, anch'io ho la tua scheda, con l'installazione dei driver tramite yast dal repository nvidia ho avuto problemi con continui rimandi al login.
Ho notato inoltre che sia da nvidia-setting sia da impostazioni di sistema-> schermo e video risultava una risoluzione massima di 1280x720, dopo un periodo in cui ho ripiegato sui noveau, ho risolto installando manualmente i driver nvidia con la procedura riportata qui , magicamente spariti i crash e riconosciuta la risoluzione 1920X1080.

SUSE 12.3 - 64 bit - Intel Core i5 2500k - Asrock Fatal1ty Z68 Professional Gen3 - Corsair DDR3 8GB 2133MHz Vengeance Blue - GeForce GTX 560 - SSD OCZ Agilty3 120 GB - HD Western Digital 500GB Caviar Black, Asus ML238H FullHD

Ritratto di dax
dax
(Geek)
Offline
Geek
Iscritto: 21/11/2004
Messaggi: 170

mmm preferirei usare i repo... magari aspetto una nuova versione dei drivers.

Dove è possibile segnalare il problema?

Core i5-2500 @ 3.30 GHz 8GB RAM - AMD RX560
OpenSUSE Tumbleweed
www.arzigogolato.it

Ritratto di Ferdinando
Ferdinando
(Junior)
Offline
Junior
Iscritto: 29/06/2011
Messaggi: 19

Confermo malfunzionamenti con i driver Nvidia.
Risolto con rollback verso la 12.2

Ritratto di Grinch
Grinch
(Guru)
Offline
Guru
Iscritto: 05/12/2011
Messaggi: 881

Fino a poco tempo fa c'era solo Nvidia-gfxGO2 , i gfxGO3 sono i più recenti ; i gfxGO2 funzionano ancora quindi provare con quelli .

Ovviamente si disinstallano gli altri occhio che son tre pacchetti nvidia-gfxG02-kmp-desktop --- x11-video-nvidiaG02 --- nvidia-computeG02.

Ritratto di dax
dax
(Geek)
Offline
Geek
Iscritto: 21/11/2004
Messaggi: 170

I driver G02 danno lo stesso identico problema. Che palle! Thinking

Core i5-2500 @ 3.30 GHz 8GB RAM - AMD RX560
OpenSUSE Tumbleweed
www.arzigogolato.it

Ritratto di dax
dax
(Geek)
Offline
Geek
Iscritto: 21/11/2004
Messaggi: 170

Alla fine ho ceduto e ho installato a mano, anche se mi scoccia.

I drivers Nvidia 310.44 sembrano andare benissimo, i pacchetti openSUSE 12.3 invece NO. Not Talking

Core i5-2500 @ 3.30 GHz 8GB RAM - AMD RX560
OpenSUSE Tumbleweed
www.arzigogolato.it

Ritratto di Grinch
Grinch
(Guru)
Offline
Guru
Iscritto: 05/12/2011
Messaggi: 881

Io ho i 310.44 dal repo Nvidia Party

zypper ar -f ftp://download.nvidia.com/opensuse/12.3/ nvidia

È scritto qua al comando Zypper http://en.opensuse.org/SDB:NVIDIA_drivers , togli il repo della Comunity disinstalli il file Run e hai il repo corretto che si aggiorna man mano .

Ritratto di dax
dax
(Geek)
Offline
Geek
Iscritto: 21/11/2004
Messaggi: 170

Ragazzi portate pazienza, sono autodidatta e ogni tanto mi perdo in un bicchier d'acqua...

Ieri si è aggiornato il kernel e quindi ho reinstallato il driver nvidia (installazione manuale).

Ad un certo punto mi ha dato questo messaggio di errore:
ERROR: File 'usr/lib64/xorg/modules/extensions/libglx.so' is not a symbolic link

L'installazione poi è terminata senza più messaggi di errore e il driver pare correttamente installato (al momento non da problemi).

Che suggerite?

Core i5-2500 @ 3.30 GHz 8GB RAM - AMD RX560
OpenSUSE Tumbleweed
www.arzigogolato.it